Loading...
Searching...
No Matches
Gudhi::tangential_complex::Tangential_complex< Kernel_, DimensionTag, Concurrency_tag, Triangulation_ >::Fix_inconsistencies_info Struct Reference

Type returned by Tangential_complex::fix_inconsistencies_using_perturbation. More...

`#include <include/gudhi/Tangential_complex.h>`

## Public Attributes

bool | success = false
| true if all inconsistencies could be removed, false if the time limit has been reached before
unsigned int | num_steps = 0
| number of steps performed
std::size_t | initial_num_inconsistent_stars = 0
| initial number of inconsistent stars
std::size_t | best_num_inconsistent_stars = 0
| best number of inconsistent stars during the process
std::size_t | final_num_inconsistent_stars = 0
| final number of inconsistent stars

## Detailed Description

template<typename Kernel_, typename DimensionTag, typename Concurrency_tag = CGAL::Parallel_tag, typename Triangulation_ = CGAL::Default>
struct Gudhi::tangential_complex::Tangential_complex< Kernel_, DimensionTag, Concurrency_tag, Triangulation_ >::Fix_inconsistencies_info

Type returned by Tangential_complex::fix_inconsistencies_using_perturbation.

The documentation for this struct was generated from the following file:

- include/gudhi/Tangential_complex.h